Last Comment Bug 298932 - cmd-shift-d should both open and close the Download Manager window
: cmd-shift-d should both open and close the Download Manager window
Status: RESOLVED FIXED
: fixed1.8.1
Product: Camino Graveyard
Classification: Graveyard
Component: Accessibility (show other bugs)
: unspecified
: PowerPC Mac OS X
-- enhancement (vote)
: ---
Assigned To: froodian (Ian Leue)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-27 11:22 PDT by Derek Schrock
Modified: 2006-07-24 12:27 PDT (History)
1 user (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Does What Wevah Could Deal With (1.21 KB, patch)
2006-06-26 21:00 PDT, froodian (Ian Leue)
no flags Details | Diff | Splinter Review
calls performClose instead (1.17 KB, patch)
2006-07-23 14:36 PDT, froodian (Ian Leue)
moz: review+
Details | Diff | Splinter Review
r=Wevah patch (1.18 KB, patch)
2006-07-23 15:01 PDT, froodian (Ian Leue)
mikepinkerton: superreview+
Details | Diff | Splinter Review

Description User image Derek Schrock 2005-06-27 11:22:07 PDT
If the download manager window is open it should be nice to have cmd-shift-d
close the window (like Mail does wind cmd-0 and the activity window) otherwise
open the download manager window.
Comment 1 User image Jasper 2005-07-06 01:20:10 PDT
Confirming
Comment 2 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2005-07-06 01:23:31 PDT
Right now it focuses/brings to front the Download Manager.  Are people who let
it get hidden and use the keystroke to bring it back to the front going to be upset?
Comment 3 User image Wevah 2005-07-06 08:57:18 PDT
(In reply to comment #2)
> Right now it focuses/brings to front the Download Manager.  Are people who let
> it get hidden and use the keystroke to bring it back to the front going to be
upset?

Yes. :)

I could deal with it hiding the window if it's already the main window, but I'd
expect it to be brought to the front if it's behind another window. (I find
myself relying on this behavior quite a bit.)
Comment 4 User image froodian (Ian Leue) 2006-06-26 21:00:30 PDT
Created attachment 227185 [details] [diff] [review]
Does What Wevah Could Deal With

This makes it so that if the frontmost window is the downloads window, it closes it, and otherwise it works just like it does currently.
Comment 5 User image froodian (Ian Leue) 2006-07-23 14:36:54 PDT
Created attachment 230369 [details] [diff] [review]
calls performClose instead

Uses performClose instead of close.  Per IRC, this can cause all windows to close if the item is chosen from the menu with option held, but that would be extremely unlikely, and it's not trigger-able through the keyboard shortcut, so we're safe here.
Comment 6 User image Wevah 2006-07-23 14:42:07 PDT
Comment on attachment 230369 [details] [diff] [review]
calls performClose instead

r=me, with the isKeyWindow -> isMainWindow change
Comment 7 User image froodian (Ian Leue) 2006-07-23 15:01:34 PDT
Created attachment 230373 [details] [diff] [review]
r=Wevah patch
Comment 8 User image Mike Pinkerton (not reading bugmail) 2006-07-24 06:07:47 PDT
Comment on attachment 230373 [details] [diff] [review]
r=Wevah patch

sr=pink
Comment 9 User image Nick Kreeger 2006-07-24 12:27:40 PDT
Fixed trunk and branch.

Note You need to log in before you can comment on or make changes to this bug.